<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%--No Downloads message--%>
<c:if test="${empty downloads or downloads['empty']}">
	<p id="noDownloads"><bean:message key="accountDownload.noDownloads" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty downloads and !downloads['empty']}">
	<div class="table-responsive">
	<table id="downloadsTable" class="table table-striped">
		<tr class="listHeading">
			<th><bean:message key="order.order" bundle="/order"/></th>
			<th><bean:message key="accountDownload.description" bundle="/customer"/></th>
			<th><bean:message key="accountDownload.file" bundle="/customer"/></th>
			<th>&nbsp;</th>
		</tr>
		<logic:iterate name="downloads" id="download" indexId="index">
			<c:set var="files" value="${download.downloadsFiles}"/>
			<c:set var="names" value="${download.downloadsNames}"/>
			<c:set var="mimes" value="${download.downloadsMimes}"/>
			<c:set var="descriptions" value="${download.downloadsDescriptions}"/>
			<%
				String files = (String) pageContext.getAttribute("files");
				String names = (String) pageContext.getAttribute("names");
				String mimes = (String) pageContext.getAttribute("mimes");
				String descriptions = (String) pageContext.getAttribute("descriptions");
				if (files != null && names != null && mimes != null && descriptions != null) {
					String[] filesArray = files.split(",");
					String[] namesArray = names.split(",");
					String[] mimesArray = mimes.split(",");
					String[] descriptionsArray = descriptions.split(",");
					for (int i = 0; i < filesArray.length; i++) {
						if (filesArray[i] != null && filesArray[i].length() > 0) {
			%>
			<tr id="download-${download.productSettingID}" class="download">
				<%--Order number--%>
				<td class="orderNumber">
					<logic:greaterThan name="download" property="orderNumber" value="0">
						<ssc:link href="${secureURL}/OrderDetails.do" paramId="orderNumber" paramName="download" paramProperty="orderNumber">
							${download.orderNumber}
						</ssc:link>
					</logic:greaterThan>
				</td>
				<%--Description--%>
				<td class="description">
					<c:set var="display"><%= descriptionsArray[i] %></c:set>
					${fn:escapeXml(display)}
				</td>
				<%--File name--%>
				<td class="name">
					<c:set var="display"><%= namesArray[i] %></c:set>
					${fn:escapeXml(display)}
				</td>
				<%--Download button--%>
				<td class="downloadButton">
					<c:set var="display"><%= namesArray[i] %></c:set>
					<ssc:link href="${customerURL}/ProcessDownload.do?productSettingID=${download.productSettingID}&name=${display}" styleClass="buttonLink">
						<span id="accountDownloadButton" class="buttonWrap"><button class="btn btn-primary"><bean:message key="accountDownload.button" bundle="/customer"/></button></span>
					</ssc:link>
				</td>
			</tr>
			<%			}
					}
				}
			%>
		</logic:iterate>
	</table>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
