<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp"%><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:loadscript name="jquery"><script src="${pageContext.request.contextPath}/js/jquery/jquery.js"></script></ssc:loadscript>
<ssc:loadscript name="jquery.scrollTo"><script src="${pageContext.request.contextPath}/js/jquery/jquery.scrollTo-min.js"></script></ssc:loadscript>
<ssc:loadscript name="jquery.localscroll"><script src="${pageContext.request.contextPath}/js/jquery/jquery.localscroll-min.js"></script></ssc:loadscript>
<script type="text/javascript">(function($) { $(document).ready(function() { $.localScroll(); }); })(jQuery); </script>

<%-- This template is called from both the account area and the checkout area. --%>
<c:set var="reloadPage" value="Checkout.do" />
<c:if test="${pageTitleKey eq 'page.authorizeNetManageProfiles'}">
	<c:set var="reloadPage" value="AuthorizeNetManageProfiles.do" />
</c:if>

<%-- Allows for custom checkout flows. --%>
<c:if test="${!empty requestScope.cancelUrl}">
	<c:set var="reloadPage" value="${requestScope.cancelUrl}" />
</c:if>
<script type="text/javascript">
(function () {

	if (!window.AuthorizeNetIFrame) window.AuthorizeNetIFrame = {};
	
	if (!AuthorizeNetIFrame.options) AuthorizeNetIFrame.options = {
		eCheckEnabled: false
		,skipZIndexCheck: false
		,useTestEnvironment: false
	};
	
 	<c:if test="${settings.map.authorizeNetHostedShowBankAccount eq '1'}">
 		AuthorizeNetIFrame.options.eCheckEnabled = true;
	</c:if>
	<c:if test="${settings.map.authorizeNetTestRequest eq '1'}">
		AuthorizeNetIFrame.options.useTestEnvironment = true;
	</c:if>
	
	AuthorizeNetIFrame.onReceiveCommunication = function (querystr) {
		var params = parseQueryString(querystr);
		switch (params["action"]) {
			case "successfulSave":
				var ifrm = document.getElementById("iframeAuthorizeNet");
				ifrm.src = "js/softslate/empty.html";
				window.location.assign("${secureURL}/${reloadPage}?" + Math.random());
				break;
			case "cancel":
				var ifrm = document.getElementById("iframeAuthorizeNet");
				ifrm.src = "js/softslate/empty.html";
				window.location.assign("${secureURL}/${reloadPage}?" + Math.random());
				break;
			case "resizeWindow":
				var w = parseInt(params["width"]);
				var h = parseInt(params["height"]);
				var ifrm = document.getElementById("iframeAuthorizeNet");
				ifrm.style.width = w.toString() + "px";
				ifrm.style.height = h.toString() + "px";
				var ifrm = document.getElementById("AuthorizeNetIframeWrapper");
				ifrm.style.width = w.toString() + "px";
				ifrm.style.height = h.toString() + "px";
				break;
			case "transactResponse":
				// Forward the response to the server's CheckoutPayment where it gets recorded and the order is completed
				var form = document.getElementById("formCheckoutPayment");
				form.elements['action'].value = params["action"];
				form.elements['response'].value = params["response"];
				form.submit();
		}
	};

	AuthorizeNetIFrame.openSpecificPopup = function (opt) {
		var popup = document.getElementById("divAuthorizeNetPopup");
		var popupScreen = document.getElementById("divAuthorizeNetPopupScreen");
		var ifrm = document.getElementById("iframeAuthorizeNet");
		var form = document.forms["formAuthorizeNetPopup"];
		var section = "customer";
		switch (opt.action) {
			case "payment":
				ifrm.style.width = "435px";
				ifrm.style.height = AuthorizeNetIFrame.options.eCheckEnabled ? "558px" : "1000px";
				section = "payment";
				break;
			case "addPayment":
				ifrm.style.width = "435px";
				ifrm.style.height = AuthorizeNetIFrame.options.eCheckEnabled ? "558px" : "1000px";
				break;
			case "editPayment":
				ifrm.style.width = "485px";
				ifrm.style.height = "950px";
				break;
			case "addShipping":
				ifrm.style.width = "435px";
				ifrm.style.height = "829px";
				break;
			case "editShipping":
				ifrm.style.width = "435px";
				ifrm.style.height = "829px";
				break;
			case "manage":
				ifrm.style.width = "492px";
				ifrm.style.height = "1048px";
				break;
		};

		if (AuthorizeNetIFrame.options.useTestEnvironment) {
			form.action = "https://test.authorize.net/" + section + "/" + opt.action;
		} else {
			form.action = "https://accept.authorize.net/" + section + "/" + opt.action;
		}
		if (form.elements["PaymentProfileId"]) {
			form.elements["PaymentProfileId"].value = opt.paymentProfileId ? opt.paymentProfileId : "";
		}
		form.submit();
	};
	
	function parseQueryString(str) {
		var vars = [];
		var arr = str.split('&');
		var pair;
		for (var i = 0; i < arr.length; i++) {
			pair = arr[i].split('=');
			vars.push(pair[0]);
			vars[pair[0]] = unescape(pair[1]);
		}
		return vars;
	}

  	AuthorizeNetIFrame.ssDeletePaymentMethod = function(cimPaymentProfileId) {
		var confirmation = '<bean:message key="cimProfile.deletePaymentMethodWarning" bundle="/customer"/>';
  		var answer = confirm(confirmation);
  		if (answer){
  			window.location.assign("${secureURL}/${reloadPage}?" + Math.random() + "&deleteID=" + cimPaymentProfileId);
  		}else{
  			return answer;
  		}
  	};
} ());
</script>
<div id="basicPaymentForm" class="paymentInformation panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">
		<c:choose>
			<c:when test="${pageTitleKey eq 'page.authorizeNetManageProfiles'}">
				<bean:message key="paymentForms.cimAboveHostedForm" bundle="/order"/>
			</c:when>
			<c:when test="${settings.map.authorizeNetHostedShowBankAccount eq '1'}">
				<bean:message key="paymentForms.paymentInformation" bundle="/order"/>
			</c:when>
			<c:otherwise>
				<bean:message key="paymentForms.ccHeading" bundle="/order" />
			</c:otherwise>
		</c:choose>
		</h3>
	</div>
	<div id="divAuthorizeNetPopup" class="panel-body">
		<div class="AuthorizeNetPopupOuter">
			<div id="AuthorizeNetIframeWrapper" class="AuthorizeNetPopupInner">
		 		<iframe name="iframeAuthorizeNet" id="iframeAuthorizeNet" src="${pageContext.request.contextPath}/js/softslate/empty.html" frameborder="0" scrolling="no"></iframe>
			</div>
			<div id="cimBelowHostedForm" class="cimHostedForm"><bean:message key="paymentForms.cimBelowHostedForm" bundle="/order"/></div>
			<div class="AuthorizeNetPopupBottom">
				<div class="AuthorizeNetPopupLogo" title="Powered by Authorize.Net"></div>
			</div>
		</div>
	</div>
</div>
<div id="divAuthorizeNetPopupScreen" style="display:none;"></div>

<%-- Initiate the embedded iframe by sending a post to Authorize.net with the token. The action is 'addPayment' if we are in the account area, and 'payment' if we are in checkout. --%>
<form method="post" action="https://secure.authorize.net/hosted/profile/manage" id="formAuthorizeNetPopup" name="formAuthorizeNetPopup" target="iframeAuthorizeNet" style="display:none;">
	<c:choose>
		<c:when test="${!empty requestScope.accountHostedPageToken}">
			<input id="accountToken" type="hidden" name="Token" value="${requestScope.accountHostedPageToken}" />
			<script type="text/javascript">AuthorizeNetIFrame.openSpecificPopup({action:"addPayment"});</script>
		</c:when>
		<c:otherwise>
			<input id="checkoutToken" type="hidden" name="Token" value="${requestScope.hostedPageToken}" />
			<script type="text/javascript">AuthorizeNetIFrame.openSpecificPopup({action:"payment"});</script>
		</c:otherwise>
	</c:choose>
	<input id="paymentProfileId" type="hidden" name="PaymentProfileId" value="" />
</form>

<%-- When the response comes back from Authorize.net and it was a successful transaction, post this form to CheckoutPayment.do for SoftSlate to process it and complete the order. 
	This is populated and submitted above, in AuthorizeNetIFrame.onReceiveCommunication. --%>
<form method="post" action="${secureURL}/CheckoutPayment.do" id="formCheckoutPayment" name="formCheckoutPayment" style="display:none;">
	<input type="hidden" name="paymentFormCount" value="${requestScope.paymentFormCount}" />
	<input type="hidden" name="action" value="" />
	<input type="hidden" name="response" value="" />
</form>
<!-- End ${pageScope.sscCurrentPage} -->
