<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="displayedHeader" value="${false}"/>
<c:forEach var="facet" items="${facetTopGroup.subResults}">
	<c:set var="facetPath" value="${facet.facetName}"/>
	<%
		String path = pageContext.getAttribute("facetPath").toString();
		pageContext.setAttribute("facetManufacturerCode", path.substring(path.lastIndexOf(LuceneFacetHelper.FACET_SEPARATOR) + 1));
		pageContext.setAttribute("facetPathSurrounded", "," + path + ",");
	%>
	<c:set var="facetManufacturer" value="${searchList.facetManufacturers[facetManufacturerCode]}"/>
	<c:if test="${!empty facetManufacturer and facetManufacturer.code ne requestScope.manufacturer.code}">
		<c:if test="${!displayedHeader}">
			<c:set var="displayedHeader" value="${true}"/>
			<div id="${facetTopGroup.facetName}" class="facetGroup panel panel-default">
				<div class="panel-heading">
					<h5 class="facetResultHeading panel-title"><bean:message key="advancedSearch.manufacturers" bundle="/product"/></h5>
				</div>
				<ul class="facetList panel-body">
		</c:if>
		<li id="${facetPath}" class="facet">
			<label class="facetNameAndCount" for="checkbox-${facetPath}">
				<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>&nbsp;
				<span class="facetName"><c:out value="${facetManufacturer.name}" escapeXml="false"/></span>&nbsp;
				<span class="badge facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>
			</label>
		</li>
	</c:if>
</c:forEach>
<c:if test="${displayedHeader}">
		</ul>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
