<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
  java.util.Map settings = (java.util.Map) request.getAttribute("productSettings");
  java.util.ArrayList keys = new java.util.ArrayList(settings.keySet());
  java.util.Collections.sort(keys);
  pageContext.setAttribute("keys", keys);
%>
<c:set var="counter" value="0" />
<c:forEach items="${keys}" var="thisKey">
	<c:if test="${productSettings[thisKey].type eq 'ATTACHMENT'}">
		<c:set var="counter" value="${counter + 1}" />
		<c:if test="${counter == 1}">
			<ul>
		</c:if>
		<c:set var="linkText" value="${productSettings[thisKey].value}"/>
		<c:if test="${empty linkText}"><c:set var="linkText"><bean:message key="product.downloadFile" bundle="/product"/></c:set></c:if>
		<li>
			<a target="_blank" href="${productSettings[thisKey].textValue}">
				<c:out value="${linkText}"/>
				<c:choose>
					<c:when test="${empty productSettings[thisKey].integerValue}">
					</c:when>
					<c:when test="${productSettings[thisKey].integerValue < 1000}">
						(<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productSettings[thisKey].integerValue}"/>B)
					</c:when>
					<c:when test="${productSettings[thisKey].integerValue < 1000000}">
				 		(<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productSettings[thisKey].integerValue/1000}"/>KB)
					</c:when>
					<c:otherwise>
				 		(<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="1" value="${productSettings[thisKey].integerValue/1000/1000}"/>MB)
					</c:otherwise>
				</c:choose>
			</a>
		</li>
	</c:if>
</c:forEach>
<c:if test="${counter > 0}">
		</ul>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
