package com.softslate.commerce.businessobjects.events;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;
import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.order.OrderDelivery;

public class ChangingOrderDeliveryEventImpl extends BaseBusinessObject implements ChangingOrderDeliveryEvent {

	private BusinessProcessor businessProcessor;
	private OrderDelivery orderDelivery;
	private Map incomingParameters;
	private Map results;

	public BusinessProcessor getBusinessProcessor() {
		return businessProcessor;
	}

	public void setBusinessProcessor(BusinessProcessor businessProcessor) {
		this.businessProcessor = businessProcessor;
	}

	public OrderDelivery getOrderDelivery() {
		return orderDelivery;
	}

	public void setOrderDelivery(OrderDelivery orderDelivery) {
		this.orderDelivery = orderDelivery;
	}

	public Map getIncomingParameters() {
		return incomingParameters;
	}

	public void setIncomingParameters(Map incomingParameters) {
		this.incomingParameters = incomingParameters;
	}

	public Map getResults() {
		return results;
	}

	public void setResults(Map results) {
		this.results = results;
	}

}