package com.softslate.commerce.daos.order;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to order item attributes.
 * 
 * @author David Tobey
 * 
 */
public class OrderItemAttributeGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements
		OrderItemAttributeGatewayDAO {

	static Log log = LogFactory.getLog(OrderItemAttributeGatewayDAOHibernate.class);

	public Map loadOrderItemAttributesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteOrderItemAttributes(Map parameters, BusinessObjectFactory bof) throws Exception {
		return editDeleteItems(parameters, bof);
	}
}
