package com.softslate.commerce.daos.order;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to order items.
 * 
 * @author David Tobey
 * 
 */
public class OrderItemGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements OrderItemGatewayDAO {

	static Log log = LogFactory.getLog(OrderItemGatewayDAOHibernate.class);

	public Map loadOrderItemsAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteOrderItems(Map parameters, BusinessObjectFactory bof) throws Exception {
		Map result = editDeleteItems(parameters, bof);
		getDaoFactory().getSession().clear();
		return result;
	}

}
