<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>

<!-- Start login.jsp -->
<h1 class="administratorHeader"><bean:message key="administrator.loginHeadline" bundle="/administrator"/></h1>
	
<form name="loginForm" action="<%=response.encodeURL(administratorURL + "/Login.do")%>" method="post">
	<div id="loginFormGuts">
		<% 
			String originalRequest = (String) request.getAttribute("originalRequest");
			if (originalRequest != null) {
		%>
		<input type="hidden" name="originalRequest" value="<%= originalRequest %>"/>
		<% } %>
		<label for="userName"><bean:message key="administrator.userName" bundle="/administrator"/></label>:
		<br/>
		<html:text styleId="userName" name="loginForm" property="userName"/>
		<br/>
		<br/>
		
		<label for="password"><bean:message key="administrator.password" bundle="/administrator"/></label>:
		<br/>
		<html:password styleId="password" name="loginForm" property="password"/>
		<br/>
		<br/>
		
		<%--Captcha Verification--%>
		<c:choose>
			<c:when test="${settings.map.useImageVerificationWithAdminLogins eq '1' and settings.map.useLegacyCaptchaMethod eq '1'}">
				<label for="textFromImage"><bean:message key="security.textFromImage" /></label>:
				<br/>
				<input type="text" id="textFromImage" name="textFromImage"/>
				<br/>
				<br/>
				<img class="challengeImage" alt="Challenge Image" src="<c:out value="${secureURL}"/>/Jcaptcha.do"/><br/>
				<bean:message key="security.textFromImageInstructions" />
				<br/>
				<br/>
			</c:when>
			<c:when test="${settings.map.useImageVerificationWithAdminLogins eq '1'}">
				<script src="https://www.google.com/recaptcha/api.js" async defer></script>
				<div class="g-recaptcha" data-sitekey="${settings.map.recaptchaSiteKey}"></div>
				<br/>
			</c:when>
		</c:choose>
		
		<input type="submit" class="button" value="<bean:message key="administrator.loginButton" bundle="/administrator"/>"/>

	</div>
</form>

<!-- End login.jsp -->
