<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderFormGuts.jsp -->
<script language="JavaScript" type="text/javascript">
<!--
	function getDateString() {
		var d = new Date();
		var dateString = d.getFullYear();
		var month = d.getMonth() + 1;
		if (month < 10) {
			dateString = dateString + "-0" + month;
		} else {
			dateString = dateString + "-" + month;
		}
		if (d.getDate() < 10) {
			dateString = dateString + "-0" + d.getDate();
		} else {
			dateString = dateString + "-" + d.getDate();
		}
		if (d.getHours() < 10) {
			dateString = dateString + " 0" + d.getHours();
		} else {
			dateString = dateString + " " + d.getHours();
		}
		if (d.getMinutes() < 10) {
			dateString = dateString + ":0" + d.getMinutes();
		} else {
			dateString = dateString + ":" + d.getMinutes();
		}
		if (d.getSeconds() < 10) {
			dateString = dateString + ":0" + d.getSeconds();
		} else {
			dateString = dateString + ":" + d.getSeconds();
		}
		return dateString + ":000";
	}
//-->
</script>

<tr>
	<td class="genericLabel">Order Number:</td>
	<td>
			<html:text name="orderAddEditForm" property="orderNumber" maxlength="10" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">User Name:</td>
	<td>
			<html:text name="orderAddEditForm" property="userName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Tracking Number:</td>
	<td>
			<html:text name="orderAddEditForm" property="trackingNumber" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Total:</td>
	<td>
			<html:text name="orderAddEditForm" property="total" maxlength="9" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Shipping:</td>
	<td>
			<html:text name="orderAddEditForm" property="shipping" maxlength="9" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Tax:</td>
	<td>
			<html:text name="orderAddEditForm" property="tax" maxlength="9" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Taxable Subtotal:</td>
	<td>
			<html:text name="orderAddEditForm" property="taxableSubtotal" maxlength="9" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Subtotal:</td>
	<td>
			<html:text name="orderAddEditForm" property="subtotal" maxlength="9" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Quantity:</td>
	<td>
			<html:text name="orderAddEditForm" property="quantity" maxlength="10" styleClass="number"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Weight:</td>
	<td>
			<html:text name="orderAddEditForm" property="weight" maxlength="9" styleClass="number"/>
	</td>
</tr>
<logic:equal name="editing" value="true">
	<tr>
		<td class="genericLabel">Created:</td>
		<td class="genericData">
			<bean:write name="orderAddEditForm" property="created"/>
			<html:hidden name="orderAddEditForm" property="created"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Last Modified:</td>
		<td class="genericData">
			<bean:write name="orderAddEditForm" property="lastModified"/>
			<html:hidden name="orderAddEditForm" property="lastModified"/>
		</td>
	</tr>
	<c:choose>
		<c:when test="${empty orderAddEditForm.completed}">
			<tr>
				<td class="genericLabel">Completed:</td>
				<td class="genericData">
					<html:text name="orderAddEditForm" property="completed" maxlength="255" styleClass="length100"/>
					<a href="#" onclick="document.forms.orderAddEditForm.completed.value = getDateString();return false;">Set to Now</a>
				</td>
			</tr>
		</c:when>
		<c:otherwise>
			<tr>
				<td class="genericLabel">Completed:</td>
				<td class="genericData">
					<bean:write name="orderAddEditForm" property="completed"/>
					<html:hidden name="orderAddEditForm" property="completed"/>
				</td>
			</tr>
		</c:otherwise>
	</c:choose>
</logic:equal>
<tr>
	<td class="genericLabel">Auto Saved Cart Token:</td>
	<td>
			<html:text name="orderAddEditForm" property="autoSavedCartToken" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Status:</td>
	<td>
		<select name="status">
			<option value="">[None]</option>
			<c:if var="foundStatus" test="${false}"/>
			<c:forTokens var="stat" varStatus="current" items="${settings.map.possibleOrderStatuses}" delims=",">
				<% pageContext.setAttribute("stat", ((String) pageContext.getAttribute("stat")).trim()); %>
				<option value="<c:out value="${stat}"/>"<c:if test="${stat eq orderAddEditForm.status}"> selected="selected"<c:if var="foundStatus" test="${true}"/></c:if>><c:out value="${stat}"/></option>
			</c:forTokens>
			<c:if test="${!foundStatus}">
				<option value="<c:out value="${orderAddEditForm.status}"/>" selected="selected"><c:out value="${orderAddEditForm.status}"/></option>
			</c:if>
		</select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Status Details:</td>
	<td>
			<html:text name="orderAddEditForm" property="statusDetails" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Shipping Method:</td>
	<td>
			<html:text name="orderAddEditForm" property="shippingMethod" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">First Name:</td>
	<td>
			<html:text name="orderAddEditForm" property="firstName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Last Name:</td>
	<td>
			<html:text name="orderAddEditForm" property="lastName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Organization:</td>
	<td>
			<html:text name="orderAddEditForm" property="organization" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Address 1:</td>
	<td>
			<html:text name="orderAddEditForm" property="address1" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Address 2:</td>
	<td>
			<html:text name="orderAddEditForm" property="address2" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">City:</td>
	<td>
			<html:text name="orderAddEditForm" property="city" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">State:</td>
	<td>
			<html:select name="orderAddEditForm" property="state">
				<option value="">Select</option>
				<option value="">-------------</option>
				<html:options collection="states" property="code" labelProperty="name"/>
			</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Postal Code:</td>
	<td>
			<html:text name="orderAddEditForm" property="postalCode" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Country:</td>
	<td>
			<html:select name="orderAddEditForm" property="country">
				<option value="">Select</option>
				<option value="">-------------</option>
				<html:options collection="countries" property="code" labelProperty="name"/>
			</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Phone 1:</td>
	<td>
			<html:text name="orderAddEditForm" property="phone1" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Phone 2:</td>
	<td>
			<html:text name="orderAddEditForm" property="phone2" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Email 1:</td>
	<td>
			<html:text name="orderAddEditForm" property="email1" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Email 2:</td>
	<td>
			<html:text name="orderAddEditForm" property="email2" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 1:</td>
	<td>
			<html:text name="orderAddEditForm" property="extra1" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 2:</td>
	<td>
			<html:text name="orderAddEditForm" property="extra2" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 3:</td>
	<td>
			<html:text name="orderAddEditForm" property="extra3" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 4:</td>
	<td>
			<html:text name="orderAddEditForm" property="extra4" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 5:</td>
	<td>
			<html:text name="orderAddEditForm" property="extra5" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Notes:</td>
	<td>
			<html:textarea rows="10" name="orderAddEditForm" property="notes"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Payment Profile ID:</td>
	<td class="value">
		<html:text name="orderAddEditForm" property="paymentProfileID" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<!-- End orderFormGuts.jsp -->
