<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderItemDataTable.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'orderItemID'}">
							<c:out value="${item[field]}" />
						</c:when>
						<c:when test="${field eq 'orderDeliveryID'}">
							<select name="orderDeliveryID">
								<logic:iterate id="delivery" name="order" property="orderDeliveryCollection">
									<option value="<c:out value="${delivery.orderDeliveryID}"/>"<c:if test="${delivery.orderDeliveryID eq item[field]}"> selected="selected"</c:if>>
										<c:out value="${delivery.address1} (ID: ${delivery.orderDeliveryID})"/>
									</option>
								</logic:iterate>
							</select>
						</c:when>
						<c:when test="${field eq 'isActive' or field eq 'isTaxed'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'isActive' or field eq 'isTaxed'}">
							<c:choose>
								<c:when test="${item[field] eq 'true'}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'unitPrice' or field eq 'altPrice' or field eq 'unitCost'}">
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}"><c:out value="${item[field]}" /></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'weight'}">
							<fmt:formatNumber type="number"><c:out value="${item[field]}" /></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'orderDeliveryID'}">
							<logic:iterate id="delivery" name="order" property="orderDeliveryCollection">
								<c:if test="${delivery.orderDeliveryID eq item[field]}">
									<c:out value="${delivery.address1} (ID: ${delivery.orderDeliveryID})"/>
								</c:if>
							</logic:iterate>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End orderItemFieldColumns.jsp -->
