
package AuthNet.Rebill;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for CreditCardSimpleType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CreditCardSimpleType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="cardNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="expirationDate" type="{http://www.w3.org/2001/XMLSchema}gYearMonth" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CreditCardSimpleType", propOrder = {
    "cardNumber",
    "expirationDate"
})
@XmlSeeAlso({
    CreditCardType.class
})
public class CreditCardSimpleType {

    protected String cardNumber;
    @XmlSchemaType(name = "gYearMonth")
	protected String expirationDate;

    /**
     * Gets the value of the cardNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCardNumber() {
        return cardNumber;
    }

    /**
     * Sets the value of the cardNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCardNumber(String value) {
        this.cardNumber = value;
    }

    /**
     * Gets the value of the expirationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
	// public XMLGregorianCalendar getExpirationDate() {
	// return expirationDate;
	// }

	/**
	 * Sets the value of the expirationDate property.
	 * 
	 * @param value
	 *            allowed object is {@link XMLGregorianCalendar }
	 * 
	 */
	// public void setExpirationDate(XMLGregorianCalendar value) {
	// this.expirationDate = value;
	// }

	/**
	 * Gets the value of the expirationDate property. This was changed to a
	 * string as suggested in auth.net forums to enable sending back a string
	 * with XXXX in it on updates to profiles
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getExpirationDate() {
        return expirationDate;
    }

	/**
	 * Sets the value of the expirationDate property. This was changed to a
	 * string as suggested in auth.net forums to enable sending back a string
	 * with XXXX in it on updates to profiles
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setExpirationDate(String value) {
        this.expirationDate = value;
    }


}
