<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<logic:match name="settings" property="value(navBarLinks)" value="home">
	<li id="welcomeLink">
		<ssc:link href="${customerURL}/Welcome.do">
			<span class="glyphicon glyphicon-home" title="<bean:message key="page.welcome" />"></span>
			<span class="linkText"><bean:message key="page.welcome" /></span>
		</ssc:link>
	</li>
</logic:match>
<logic:match name="settings" property="value(navBarLinks)" value="account">
	<li id="accountLink"><ssc:link href="${secureURL}/Account.do">
		<span class="glyphicon glyphicon-user" title="<bean:message key="navBar.account" />"></span>
		<c:choose>
			<c:when test="${empty user.customer}"><span class="linkText"><bean:message key="navBar.account" /></span></c:when>
			<c:otherwise><span class="linkText">${user.customer.userName}</span></c:otherwise>
		</c:choose>
	</ssc:link></li>
</logic:match>
<logic:match name="settings" property="value(navBarLinks)" value="cart">
	<li id="cartLink"><ssc:link href="${customerURL}/Cart.do">
		<span title="<bean:message key="navBar.cart" />" class="glyphicon glyphicon-shopping-cart"></span>
		<span class="linkText"><bean:message key="navBar.cart" /></span>
		<c:if test="${!empty sessionScope.user.order && sessionScope.user.order.quantity > 0}">
			&nbsp;<span class="badge">${user.order.quantity}</span>
		</c:if>
	</ssc:link></li>
</logic:match>
<logic:match name="settings" property="value(navBarLinks)" value="checkout">
	<li id="checkoutLink"><ssc:link href="${secureURL}/Checkout.do">
		<span title="<bean:message key="navBar.checkout" />" class="glyphicon glyphicon-check"></span>
		<span class="linkText"><bean:message key="navBar.checkout" /></span>
	</ssc:link></li>
</logic:match>
<!-- End ${pageScope.sscCurrentPage} -->