package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * Generic settings form that does nothing but initialize itself.
 * 
 * @author David Tobey
 */
public class SettingsForm extends BaseDynaForm {
	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(SettingsForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		return getErrors();
	}
}
