package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormAdvancedSearch extends SettingsForm {
	private static final long serialVersionUID = 3688791366641725491L;

	static Log log = LogFactory.getLog(SettingsFormAdvancedSearch.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		String[] advancedSearchProductFieldsToIndexArray = (String[]) get("advancedSearchProductFieldsToIndexArray");
		String advancedSearchProductFieldsToIndex = null;
		for (int i = 0; i < advancedSearchProductFieldsToIndexArray.length; i++) {
			if (i != 0) {
				advancedSearchProductFieldsToIndex = advancedSearchProductFieldsToIndex + ","
						+ advancedSearchProductFieldsToIndexArray[i];
			} else {
				advancedSearchProductFieldsToIndex = advancedSearchProductFieldsToIndexArray[i];
			}
		}
		set("advancedSearchProductFieldsToIndex", advancedSearchProductFieldsToIndex);

		String[] advancedSearchAttributeFieldsToIndexArray = (String[]) get("advancedSearchAttributeFieldsToIndexArray");
		String advancedSearchAttributeFieldsToIndex = null;
		for (int i = 0; i < advancedSearchAttributeFieldsToIndexArray.length; i++) {
			if (i != 0) {
				advancedSearchAttributeFieldsToIndex = advancedSearchAttributeFieldsToIndex + ","
						+ advancedSearchAttributeFieldsToIndexArray[i];
			} else {
				advancedSearchAttributeFieldsToIndex = advancedSearchAttributeFieldsToIndexArray[i];
			}
		}
		set("advancedSearchAttributeFieldsToIndex", advancedSearchAttributeFieldsToIndex);

		String[] advancedSearchCategoryFieldsToIndexArray = (String[]) get("advancedSearchCategoryFieldsToIndexArray");
		String advancedSearchCategoryFieldsToIndex = null;
		for (int i = 0; i < advancedSearchCategoryFieldsToIndexArray.length; i++) {
			if (i != 0) {
				advancedSearchCategoryFieldsToIndex = advancedSearchCategoryFieldsToIndex + ","
						+ advancedSearchCategoryFieldsToIndexArray[i];
			} else {
				advancedSearchCategoryFieldsToIndex = advancedSearchCategoryFieldsToIndexArray[i];
			}
		}
		set("advancedSearchCategoryFieldsToIndex", advancedSearchCategoryFieldsToIndex);

		String[] advancedSearchManufacturerFieldsToIndexArray = (String[]) get("advancedSearchManufacturerFieldsToIndexArray");
		String advancedSearchManufacturerFieldsToIndex = null;
		for (int i = 0; i < advancedSearchManufacturerFieldsToIndexArray.length; i++) {
			if (i != 0) {
				advancedSearchManufacturerFieldsToIndex = advancedSearchManufacturerFieldsToIndex + ","
						+ advancedSearchManufacturerFieldsToIndexArray[i];
			} else {
				advancedSearchManufacturerFieldsToIndex = advancedSearchManufacturerFieldsToIndexArray[i];
			}
		}
		set("advancedSearchManufacturerFieldsToIndex", advancedSearchManufacturerFieldsToIndex);
		if (log.isDebugEnabled())
			log.debug("Finishing validation.");
		return getErrors();
	}

}
