package com.softslate.commerce.businessobjects.payment;

import java.util.Map;

/**
 * Defines the three API calls required by PayPal Express Checkout, for both the
 * US and the UK.
 * 
 * @author Ashish Jain
 * 
 */
public interface IPayPalExpressPaymentProcessor extends PaymentProcessor {

	public Map processSetExpressCheckout(Map parameters) throws Exception;

	public Map processGetExpressCheckoutDetails(Map parameters)
			throws Exception;

	public Map processDoExpressCheckoutPayment(Map parameters) throws Exception;

}
