package com.softslate.commerce.daos.order;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to order item attributes.
 * 
 * @author David Tobey
 * 
 */
public interface OrderItemAttributeGatewayDAO extends DAOInterface {
	abstract Map loadOrderItemAttributesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteOrderItemAttributes(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
