package com.softslate.commerce.daos.order;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to states.
 * 
 * @author David Tobey
 * 
 */
public interface StateGatewayDAO extends DAOInterface {
	abstract Map loadStatesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteStates(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
