<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />
<!-- Start emailOptOutExtra.jsp -->
<c:if test="${editPermission eq 'true'}">
	<div class="controlScreenExtra">
		<h2 class="administratorHeader">Email Opt Out - Quick Add</h2>
		<form name="emailOptOutQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/EmailOptOutQuickAdd.do">
			<c:if test="${!empty mainForm.parentIDField}">
				<input type="hidden" name="<c:out value="${mainForm.parentIDField}"/>" value="<c:out value="${mainForm.parentID}"/>"/>
				<input type="hidden" name="parentIDField" value="<c:out value="${mainForm.parentIDField}"/>"/>
			</c:if>
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddEmailAddress">Email Address:</label><br/>
						<html:text name="emailOptOutAddEditForm" property="emailAddress" styleId="quickAddEmailAddress"/>
					</td>
					<td class="extraField">
						<label for="quickAddType">Type:</label><br/>
						<select name="type" id="quickAddType">
							<c:if var="valueFound" test="${false}"/>
							<c:forTokens var="oot" varStatus="current" items="${settings.map.optOutTypes}" delims=","> 
								<% pageContext.setAttribute("oot", ((String) pageContext.getAttribute("oot")).trim()); %>
								<c:if test="${oot ne 'NONE'}">
									<option value="${oot}" <c:if test="${emailOptOutAddEditForm.type eq oot}" >selected="selected"</c:if>><c:out value="${oot}"/></option>
									<c:if test="${!valueFound and oot eq emailOptOutAddEditForm.type}">
										<c:if var="valueFound" test="${true}"/>
									</c:if>
								</c:if>
							</c:forTokens>
							<c:if test="${!valueFound and !empty  emailOptOutAddEditForm.type}">
								<option value="${emailOptOutAddEditForm.type}"><c:out value="${emailOptOutAddEditForm.type}"/></option>
							</c:if>
						</select>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="extraButton">
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</c:if>
<!-- End emailOptOutExtra.jsp -->
