<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="records" name="importForm" property="records" type="java.util.Collection"/>
<div class="importResult">
	<span class="label">Number of records inserted:</span>
	<bean:write name="insertCount"/>
</div>
<div class="importResult">
	<span class="label">Number of records updated:</span>
	<bean:write name="updateCount"/>
</div>
<div class="importResult">
	<span class="label">Number of records skipped:</span>
	<bean:write name="skippedCount"/>
</div>
<div class="importResult">
	<span class="label">Number of records failed:</span>
	<bean:write name="failCount"/>
</div>
<div class="importResult">
	<span class="label">Total number of records:</span>
	<%= records.size()%>
</div>
<div class="importResult">
	<span class="label">Importing into database table:</span>
	<bean:write name="importForm" property="table"/>
</div>
<div class="importResult">
	<span class="label">Import behavior:</span>
	<bean:write name="importForm" property="importBehavior"/>
</div>

<c:if test="${!empty importMessages}">
	<br/><br/>
	<div class="importResult">
		<p class="warning">Importer Messages</p>
		<ul class="normal">
			<logic:iterate id="message" name="importMessages">
				<li><c:out value="${message}"/></li>
			</logic:iterate>
		</ul>
	</div>
</c:if>
