<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start shippingRateFormGuts.jsp -->
<html:hidden name="shippingRateAddEditForm" property="shippingMethodID"/>
<logic:notEmpty name="shippingRateAddEditForm" property="parentName">
	<html:hidden name="shippingRateAddEditForm" property="parentName"/>
</logic:notEmpty>
<tr class="altRow">
	<td class="property setting">Floor:</td>
	<td class="value">
		<html:text styleClass="number" maxlength="9" name="shippingRateAddEditForm" property="floor"/>
		<div class="fieldDescription">For Cumulative Quantity Tables, avoid overlapping this rate's Floor with another rate's Ceiling. Both ranges will be applied if you do this. For all other shipping method types, only the first (lower) range will be applied.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Ceiling:</td>
	<td class="value">
		<html:text styleClass="number" maxlength="9" name="shippingRateAddEditForm" property="ceiling"/>
		<div class="fieldDescription">Use "0" for no upper limit (infinity).</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Amount:</td>
	<td class="value">
		<html:text styleClass="number" maxlength="9" name="shippingRateAddEditForm" property="amount"/>
		<div class="fieldDescription">Leave dollar signs or other currency symbols off when entering price values.</div>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Active:</td>
	<td class="value">
		<html:radio name="shippingRateAddEditForm" property="isActive" value="true"/> yes
		&nbsp;&nbsp;
		<html:radio name="shippingRateAddEditForm" property="isActive" value="false"/> no
	</td>
</tr>
<!-- End shippingRateFormGuts.jsp -->
