<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<bean:define id="states" name="statesAndCountries" property="states"/>
<bean:define id="countries" name="statesAndCountries" property="countries"/>

<!-- Start shippingRuleRangeFormGuts.jsp -->
<logic:notEmpty name="shippingRuleRangeAddEditForm" property="parentName">
	<html:hidden name="shippingRuleRangeAddEditForm" property="parentName"/>
</logic:notEmpty>
<logic:notEmpty name="shippingRuleRangeAddEditForm" property="shippingRuleType">
	<html:hidden name="shippingRuleRangeAddEditForm" property="shippingRuleType" />
</logic:notEmpty>
<html:hidden name="shippingRuleRangeAddEditForm" property="shippingRuleID"/>
<html:hidden name="shippingRuleRangeAddEditForm" property="skuID" />

<!-- Start Package Type Rule  -->
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[package]">
	<tr>
		<td class="genericLabel">Sku Quantity Floor:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="floor"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Sku Quantity Ceiling:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="ceiling"/> (The maximum number of items for this package. Must be greater than 0.)
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Weight:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="pkgWeight"/>  
		</td>
	</tr>
	<tr>
		<td>
			&nbsp;
		</td>
		<td class="genericData">
			If the floor and ceiling are equal, this value is the total weight of the package including products.
			Otherwise, if the floor and ceiling identify a range, this package's proportion of product weight is added to the value.
			<br />
			<br />
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Width:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="pkgWidth"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Height:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="pkgHeight"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Length:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="pkgLength"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Extra 1:</td>
		<td>
			<html:text maxlength="255" name="shippingRuleRangeAddEditForm" property="pkgExtra1"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Extra 2:</td>
		<td>
			<html:text maxlength="255" name="shippingRuleRangeAddEditForm" property="pkgExtra2"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Extra 3:</td>
		<td>
			<html:text maxlength="255" name="shippingRuleRangeAddEditForm" property="pkgExtra3"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Extra 4:</td>
		<td>
			<html:text maxlength="255" name="shippingRuleRangeAddEditForm" property="pkgExtra4"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Extra 5:</td>
		<td>
			<html:text maxlength="255" name="shippingRuleRangeAddEditForm" property="pkgExtra5"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Package Description:</td>
		<td>
			<html:text size="50" name="shippingRuleRangeAddEditForm" property="pkgDescription" />
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Limit Shipping Method Type:</td>
		<td>
			<html:select name="shippingRuleRangeAddEditForm" property="limitType" styleClass="genericGridData">
				<html:option value="[allow]">Allow These Methods Only</html:option>
				<html:option value="[disallow]">Allow All Methods Except These</html:option>
			</html:select>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Limit Shipping Methods:</td>
		<td>
			<html:textarea rows="10" name="shippingRuleRangeAddEditForm" property="limitMethods" />
			<br>Comma delimited list of shipping processor and method.<br>
			Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
		</td>
	</tr>
</logic:equal>
<!-- End Package Type Rule -->


<!-- Start Discount Type Rule  -->
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[discount]">
	<tr>
		<td class="genericLabel">Floor for This Range:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="floor"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Ceiling for This Range:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="ceiling"/> (Use 0 for no upper limit.)
		</td>
	</tr>
	<tr>
		<td align="right"><html:radio name="shippingRuleRangeAddEditForm" property="discountType" value="[percentage]"/></td>
		<td>This percentage off the computed shipping cost: <html:text size="5" maxlength="12" name="shippingRuleRangeAddEditForm" property="discountPercentage"/>%</td>
	</tr>
	<tr>
		<td align="right"><html:radio name="shippingRuleRangeAddEditForm" property="discountType" value="[amount]"/></td>
		<td>This amount off the computed shipping cost: <html:text size="5" maxlength="12" name="shippingRuleRangeAddEditForm" property="discountAmount"/></td>
	</tr>
	<tr>
		<td class="genericLabel">Limit Shipping Method Type:</td>
		<td>
			<html:select name="shippingRuleRangeAddEditForm" property="limitType" styleClass="genericGridData">
				<html:option value="[allow]">Applies To These Methods Only</html:option>
				<html:option value="[disallow]">Applies To All Methods Except These</html:option>
			</html:select>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Limit Shipping Methods:</td>
		<td>
			<html:textarea rows="10" name="shippingRuleRangeAddEditForm" property="limitMethods" />
			<br>Comma delimited list of shipping processor and method.<br>
			Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
		</td>
	</tr>
</logic:equal>
<!-- End Discount Type Rule -->


<!-- Start Method Limit Type Rule  -->
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[methodlimit]">
	<tr>
		<td class="genericLabel">Floor for This Range:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="floor"/>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Ceiling for This Range:</td>
		<td>
			<html:text size="10" maxlength="10" name="shippingRuleRangeAddEditForm" property="ceiling"/> (Use 0 for no upper limit.)
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Limit Shipping Method Type:</td>
		<td>
			<html:select name="shippingRuleRangeAddEditForm" property="limitType" styleClass="genericGridData">
				<html:option value="[allow]">Allow These Methods Only</html:option>
				<html:option value="[disallow]">Allow All Methods Except These</html:option>
			</html:select>
		</td>
	</tr>
	<tr>
		<td class="genericLabel">Limit Shipping Methods:</td>
		<td>
			<html:textarea rows="10" name="shippingRuleRangeAddEditForm" property="limitMethods" />
			<br>Comma delimited list of shipping processor and method.<br>
			Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
		</td>
	</tr>
</logic:equal>
<!-- End Method Limit Type Rule -->


<!-- Start Method Limit by Location Type Rule  -->
<logic:equal name="shippingRuleRangeAddEditForm" property="shippingRuleType" value="[limitByLocation]">
	<tr>
		<td class="genericLabel" valign="top">Countries:</td>
		<td>
			<select name="countriesArray" multiple="multiple" size="10">
			<logic:iterate name="countries" id="country">
				<bean:define id="countryCode" name="country" property="code" type="java.lang.String"/>
				<c:set var="countryName" value="${country.name}"/>
				<c:if test="${country.code eq 'US'}">
					<c:set var="countryName" value="${country.name} (All States)"/>
				</c:if>
				<c:if test="${country.code eq 'CA'}">
					<c:set var="countryName" value="${country.name} (All Provinces)"/>
				</c:if>
				<logic:match name="shippingRuleRangeAddEditForm" property="countries" value="<%= countryCode %>">
					<option value="<%= countryCode %>" selected="selected"><c:out value="${countryName}"/></option>
				</logic:match>
				<logic:notMatch name="shippingRuleRangeAddEditForm" property="countries" value="<%= countryCode %>">
					<option value="<%= countryCode %>"><c:out value="${countryName}"/></option>
				</logic:notMatch>
			</logic:iterate>
			</select>
			<br/>
			This rule will be applied if the customer's delivery address is in one of the above selected countries, 
			OR one of the below selected states or provinces.
			(Hold down the CTRL key to select multiple items.)
		</td>
	</tr>
	<tr>
		<td class="genericLabel" valign="top">States:</td>
		<td>
			<select name="statesArray" multiple="multiple" size="10">
			<logic:iterate name="states" id="state">
				<bean:define id="stateCode" name="state" property="code" type="java.lang.String"/>
				<c:set var="stateName" value="${state.name}"/>
				<logic:match name="shippingRuleRangeAddEditForm" property="states" value="<%= stateCode %>">
					<option value="<%= stateCode %>" selected="selected"><c:out value="${stateName}"/></option>
				</logic:match>
				<logic:notMatch name="shippingRuleRangeAddEditForm" property="states" value="<%= stateCode %>">
					<option value="<%= stateCode %>"><c:out value="${stateName}"/></option>
				</logic:notMatch>
			</logic:iterate>
			</select>
		</td>
	</tr>
	<tr>
		<td class="genericLabel" valign="top">Limit Shipping Method Type:</td>
		<td>
			<html:select name="shippingRuleRangeAddEditForm" property="limitType" styleClass="genericGridData">
				<html:option value="[allow]">Allow These Methods Only</html:option>
				<html:option value="[disallow]">Allow All Methods Except These</html:option>
			</html:select>
		</td>
	</tr>
	<tr>
		<td class="genericLabel" valign="top">Limit Shipping Methods:</td>
		<td>
			<html:textarea cols="75" rows="10" name="shippingRuleRangeAddEditForm" property="limitMethods" />
			<br>Comma delimited list of shipping processor and method.<br>
			Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
		</td>
	</tr>
</logic:equal>
<!-- End Method Limit by Location Rule -->


<tr>
	<td class="genericLabel">Active?:</td>
	<td class="genericData">
		<html:radio name="shippingRuleRangeAddEditForm" property="isActive" value="true"/>yes
		&nbsp;&nbsp;
		<html:radio name="shippingRuleRangeAddEditForm" property="isActive" value="false"/>no
	</td>
</tr>
<!-- End shippingRuleRangeFormGuts.jsp -->
