(function($) {
	$(document).ready(function() {
		$.SSCSubmitOnce.init();	
	});
	
	$.SSCSubmitOnce = {
		submitCount : 0,
		init : function() {
			
			// Prevent forms with a 'submitOnceButton' button under them (ie when an order is being placed) from being submitted more than once
			var submitOnceButton = $('input.submitOnceButton');
			if (submitOnceButton) {
				var parentForm = submitOnceButton.parents('form:first');
				if (parentForm) {
					parentForm.on("submit", $.SSCSubmitOnce.rejectIfAlreadySubmitted);
				}
			}
		},

		rejectIfAlreadySubmitted : function(event) {
			if ($.SSCSubmitOnce.submitCount == 0) {
		    		$.SSCSubmitOnce.submitCount++;
		  	  	return true;
		    } else {
		    		alert("Please wait. This form has already been submitted.");
		    		return false;
		    }
		}
	};

})(jQuery);